Skip to main content
POST
/
v1
/
retrospective_processes
Creates a retrospective process
curl --request POST \
  --url https://api.rootly.com/v1/retrospective_processes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "type": "retrospective_processes",
    "attributes": {
      "name": "<string>",
      "copy_from": "<string>",
      "description": "<string>",
      "retrospective_process_matching_criteria": {
        "severity_ids": [
          "<string>"
        ]
      }
    }
  }
}
'
import requests

url = "https://api.rootly.com/v1/retrospective_processes"

payload = { "data": {
"type": "retrospective_processes",
"attributes": {
"name": "<string>",
"copy_from": "<string>",
"description": "<string>",
"retrospective_process_matching_criteria": { "severity_ids": ["<string>"] }
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'retrospective_processes',
attributes: {
name: '<string>',
copy_from: '<string>',
description: '<string>',
retrospective_process_matching_criteria: {severity_ids: ['<string>']}
}
}
})
};

fetch('https://api.rootly.com/v1/retrospective_processes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "type": "retrospective_processes",
    "attributes": {
      "name": "<string>",
      "description": "<string>",
      "is_default": true,
      "created_at": "<string>",
      "updated_at": "<string>",
      "retrospective_process_matching_criteria": {
        "severity_ids": [
          "<string>"
        ]
      }
    }
  },
  "included": [
    {
      "id": "<string>",
      "type": "<string>",
      "attributes": {},
      "relationships": {}
    }
  ]
}
{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}
{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/vnd.api+json
data
object
required

Response

retrospective_process created

data
object
required
included
object[]